Bug 765416 - (GLUSTER-3684) Log rotate does not throw proper error message
Log rotate does not throw proper error message
Status: CLOSED DEFERRED
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
3.2.3
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: bugs@gluster.org
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-03 02:51 EDT by Selvasundaram
Modified: 2014-12-14 14:40 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-14 14:40:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Selvasundaram 2011-10-03 02:51:10 EDT
Rotating off line volume brick log does not show appropriate error message. It always shows "log rotate successful" even log rotation failed.

e.g.
[root@gmc-dev3 ~]# gluster volume log rotate songs gmc-dev4:/export/sdb/songs
log rotate successful

Note: glusterd was down in "gmc-dev4".
Comment 1 Amar Tumballi 2012-06-08 05:26:50 EDT
kaushal, need a test and see if it happens on 3.3.0 release. If doesn't happen, then we can close it as CLOSED UPSTREAM
Comment 2 Niels de Vos 2014-11-27 09:54:43 EST
The version that this bug has been reported against, does not get any updates from the Gluster Community anymore. Please verify if this report is still valid against a current (3.4, 3.5 or 3.6) release and update the version, or close this bug.

If there has been no update before 9 December 2014, this bug will get automatocally closed.

Note You need to log in before you can comment on or make changes to this bug.